import api from "./client";

export const UsersApi = {
  me() {
    return api.get("/users/me", { params: { load_orgs: true } }).then((r) => r.data);
  },
  getById(userId) {
    return api.get(`/users/${userId}`).then((r) => r.data);
  },
  getAll(params = {}) {
    return api
      .get("/users/", { params: { limit: 1000, skip: 0, ...params } })
      .then((r) => r.data);
  },
  update(idUser, data) {
    return api.patch(`/users/${idUser}`, data).then((r) => r.data);
  },
  getAllRoles() {
    return api.get(`/users/roles/`).then((r) => r.data);
  },
  createUser(payload) {
    return api.post(`/users/`, payload).then((r) => r.data);
  },
  delete(userId) {
    return api.delete(`/users/${userId}`).then((r) => r.data);
  },
};
